Uploaded image for project: 'Mnemonic'
  1. Mnemonic
  2. MNEMONIC-744

CMake Deprecation Warning

    XMLWordPrintableJSON

Details

    Description

       The CMake build system reports the following warning on Ubuntu 22.04

      [INFO]     [mkdir] Created dir: /home/gary/ws/mnemonic/mnemonic-memory-services/mnemonic-pmdk-vmem-service/src/main/native/build
      [INFO]      [exec] CMake Deprecation Warning at CMakeLists.txt:18 (cmake_minimum_required):
      [INFO]      [exec]   Compatibility with CMake < 2.8.12 will be removed from a future version of
      [INFO]      [exec]   CMake.
      [INFO]      [exec]
      [INFO]      [exec]   Update the VERSION argument <min> value or use a ...<max> suffix to tell
      [INFO]      [exec]   CMake that the project does not need compatibility with older versions.
       

      Attachments

        Issue Links

          Activity

            People

              ruanjing Jing Ruan
              qichfan Gordon King
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 20m
                  20m